# class KSelectAction | Action for selecting one of several items. More...
Definition | `#include <kaction.h>`
Inherits | KAction [public ]
Inherited by | KFontAction, KFontSizeAction, KListAction, KRecentFilesAction
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KSelectAction ( const QString& text, int accel = 0, QObject* parent = 0, const char* name = 0 )
- KSelectAction ( const QString& text, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 )
- KSelectAction ( const QString& text, const QIconSet& pix, int accel = 0, QObject* parent = 0, const char* name = 0 )
- KSelectAction ( const QString& text, const QString& pix, int accel = 0, QObject* parent = 0, const char* name = 0 )
- KSelectAction ( const QString& text, const QIconSet& pix, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 )
- KSelectAction ( const QString& text, const QString& pix, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 )
- KSelectAction ( QObject* parent = 0, const char* name = 0 )
- virtual ~KSelectAction ()
- virtual int plug ( QWidget* widget, int index = -1 )
- virtual bool isEditable () const
- virtual QStringList items () const
- virtual void changeItem ( int index, const QString& text )
- virtual QString currentText () const
- virtual int currentItem () const
- virtual int comboWidth () const
- QPopupMenu* popupMenu ()

#### Public Slots

- virtual void setCurrentItem ( int index )
- virtual void setItems ( const QStringList &lst )
- virtual void clear ()
- virtual void setEditable ( bool )
- virtual void setComboWidth ( int width )

#### Signals

- void activated ( int index )
- void activated ( const QString& text )

#### Protected Methods

- virtual void changeItem ( int id, int index, const QString& text )
- virtual void setCurrentItem ( int id, int index )
- virtual void setComboWidth ( int id, int width )
- virtual void setItems ( int id, const QStringList &lst )
- virtual void clear ( int id )

#### Protected Slots

- virtual void slotActivated ( int id )
- virtual void slotActivated ( const QString &text )
- virtual void slotActivated ()

## Detailed Description

Action for selecting one of several items.

This action shows up a submenu with a list of items. One of them can be checked. If The user clicks on an item this item will automatically be checked, the formerly checked item becomes unchecked. There can be only one item checked at a time.

KSelectAction ( const QString& text, int accel = 0, QObject* parent = 0, const char* name = 0 ) | ### KSelectAction

Construct a select action with text and potential keyboard accelerator but nothing else. Use this only if you really know what you are doing.

Parameters:

text | The text that will be displayed.
accel | The corresponding keyboard accelerator (shortcut).
parent | This action's parent.
name | An internal name for this action.

KSelectAction ( const QString& text, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 ) | ### KSelectAction

Parameters:

text | The text that will be displayed.
accel | The corresponding keyboard accelerator (shortcut).
receiver | The SLOT's parent.
slot | The SLOT to invoke to execute this action.
parent | This action's parent.
name | An internal name for this action.

KSelectAction ( const QString& text, const QIconSet& pix, int accel = 0, QObject* parent = 0, const char* name = 0 ) | ### KSelectAction

Parameters:

text | The text that will be displayed.
pix | The icons that go with this action.
accel | The corresponding keyboard accelerator (shortcut).
parent | This action's parent.
name | An internal name for this action.

KSelectAction ( const QString& text, const QString& pix, int accel = 0, QObject* parent = 0, const char* name = 0 ) | ### KSelectAction

Parameters:

text | The text that will be displayed.
pix | The dynamically loaded icon that goes with this action.
accel | The corresponding keyboard accelerator (shortcut).
parent | This action's parent.
name | An internal name for this action.

KSelectAction ( const QString& text, const QIconSet& pix, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 ) | ### KSelectAction

Parameters:

text | The text that will be displayed.
pix | The icons that go with this action.
accel | The corresponding keyboard accelerator (shortcut).
receiver | The SLOT's parent.
slot | The SLOT to invoke to execute this action.
parent | This action's parent.
name | An internal name for this action.

KSelectAction ( const QString& text, const QString& pix, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0 ) | ### KSelectAction

Parameters:

text | The text that will be displayed.
pix | The dynamically loaded icon that goes with this action.
accel | The corresponding keyboard accelerator (shortcut).
receiver | The SLOT's parent.
slot | The SLOT to invoke to execute this action.
parent | This action's parent.
name | An internal name for this action.

KSelectAction ( QObject* parent = 0, const char* name = 0 ) | ### KSelectAction

Parameters:

parent | This action's parent.
name | An internal name for this action.

~KSelectAction () | ### ~KSelectAction

[virtual]

Destructor

int plug ( QWidget* widget, int index = -1 ) | ### plug

[virtual]

"Plug" or insert this action into a given widget.

This will typically be a menu or a toolbar. From this point on, you will never need to directly manipulate the item in the menu or toolbar. You do all enabling/disabling/manipulation directly with your KSelectAction object.

Parameters:

widget | The GUI element to display this action.
index | The index of the item.

Reimplemented from KAction.

bool isEditable () | ### isEditable

[const virtual]

QStringList items () | ### items

[const virtual]

void changeItem ( int index, const QString& text ) | ### changeItem

[virtual]

QString currentText () | ### currentText

[const virtual]

int currentItem () | ### currentItem

[const virtual]

int comboWidth () | ### comboWidth

[const virtual]

QPopupMenu* popupMenu () | ### popupMenu

Reimplemented from KAction.

void setCurrentItem ( int index ) | ### setCurrentItem

[virtual slot]

Sets the currently checked item.

Parameters:

index | Index of the item (remember the first item is zero).

void setItems ( const QStringList &lst ) | ### setItems

[virtual slot]

void clear () | ### clear

[virtual slot]

void setEditable ( bool ) | ### setEditable

[virtual slot]

void setComboWidth ( int width ) | ### setComboWidth

[virtual slot]

void changeItem ( int id, int index, const QString& text ) | ### changeItem

[protected virtual]

void slotActivated ( int id ) | ### slotActivated

[protected slots virtual slot]

Reimplemented from KAction.

void slotActivated ( const QString &text ) | ### slotActivated

[protected slots virtual slot]

Reimplemented from KAction.

void slotActivated () | ### slotActivated

[protected slots virtual slot]

Reimplemented from KAction.

void activated ( int index ) | ### activated

[signal]

Reimplemented from KAction.

void activated ( const QString& text ) | ### activated

[signal]

Reimplemented from KAction.

void setCurrentItem ( int id, int index ) | ### setCurrentItem

[protected virtual]

void setComboWidth ( int id, int width ) | ### setComboWidth

[protected virtual]

void setItems ( int id, const QStringList &lst ) | ### setItems

[protected virtual]

void clear ( int id ) | ### clear

[protected virtual]

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.